sidane3000
Posts: 3
Joined: Wed Feb 21, 2018 6:28 pm

ExecuteGraph giving errors when trying to move from CloverETL Server version 4.1 to 4.7

Postby sidane3000 » Wed Feb 21, 2018 6:46 pm

Details about the error:
Component [ExecuteGraph:EXECUTE_GRAPH] finished with status ERROR. (In0: 1 recs, Out0: 0 recs, Out1: 0 recs)
Tracking record population failed.
graph_runningPhase field can not be set with this object - 3 in field 6; value: '3'


The execute graph component does not give me any output for both successful and unsuccessful graph executions instead it fails abruptly giving me the above error. Not sure where to look for the solution.

Thanks,
Sid

the_goat
Posts: 21
Joined: Fri Dec 01, 2017 6:16 am

Re: ExecuteGraph giving errors when trying to move from CloverETL Server version 4.1 to 4.7

Postby the_goat » Fri Feb 23, 2018 2:17 pm

Seems to me as an error in input/output/error mapping. I guess there's very little to tell without the "to be executed" graph and the execute component configuration (in/out metadata + aforementioned mapping), would you be able to share so I can take a look?

This error message I believe is shown when attempt to access non-existent/invalid field is made in certain situations. Hope at least this helps.

sidane3000
Posts: 3
Joined: Wed Feb 21, 2018 6:28 pm

Re: ExecuteGraph giving errors when trying to move from CloverETL Server version 4.1 to 4.7

Postby sidane3000 » Wed Feb 28, 2018 6:18 pm

Hello,

Actually I forgot to mention that I have a launch service which will call the VoyagerMaster graph and set the dictionary variables like CGID, FileType, Reader1-12 and ValidationBatchID. VoyagerMaster will call the CallClientGraph. The CallClientGraph has the ExecuteGraph component which will call the appropriate graph based on the CGID+FileType value.

Hope this helps.

Thanks,
Siddhesh

bartonv
Posts: 63
Joined: Wed May 03, 2017 12:10 pm

Re: ExecuteGraph giving errors when trying to move from CloverETL Server version 4.1 to 4.7

Postby bartonv » Fri Mar 02, 2018 4:05 pm

Hi Sid,
I agree with the_goat that it does look like a mapping issue so a general advice I could provide is to look for a solution by inspecting the ExecuteGraph component in terms of input, output and/or error mapping. However, if you would like to have us inspect it on our end, please provide us with the following:
  1. The ‘VoyagerMaster’ jobflow
  2. The ‘CallClientGraph’ jobflow (including any externalized items, such as metadata)
  3. The particular graph that was called by the ‘CallClientGraph’ job when the afore-mentioned error occurred (including any externalized items, such as metadata)
  4. The full run log from that run instance
  5. What is the exact version of your CloverETL Designer and Server now after the upgrade (for example, Designer version 4.7.0 and Server version 4.7.0)?
  6. Have you performed any redesign of the jobs and their setup during the upgrade from 4.1 to 4.7 or have you simply moved everything as is?
  7. Have this issue started to occur right after the upgrade or did you encounter the problem even before in the 4.1 version?
Kind regards,
---
Vladimir Barton
CloverCARE Support
CloverETL | Rapid Data Integration

Visit us online at http://www.cloveretl.com
How to speed up communication with CloverCARE support

bartonv
Posts: 63
Joined: Wed May 03, 2017 12:10 pm

Re: ExecuteGraph giving errors when trying to move from CloverETL Server version 4.1 to 4.7

Postby bartonv » Mon Mar 05, 2018 2:02 pm

Hi Sid,
I would like to follow up on this post to see if we could take a closer look at the answers to the aforementioned questions. Furthermore, I was wondering if you could perform a simple test of running your job in Clover version 4.8.x. There was a known bug discovered in version 4.7.x that demonstrated itself in a similar way as you reported and has been corrected in the 4.8.x version.
Best regards,
---
Vladimir Barton
CloverCARE Support
CloverETL | Rapid Data Integration

Visit us online at http://www.cloveretl.com
How to speed up communication with CloverCARE support

sidane3000
Posts: 3
Joined: Wed Feb 21, 2018 6:28 pm

Re: ExecuteGraph giving errors when trying to move from CloverETL Server version 4.1 to 4.7

Postby sidane3000 » Thu Mar 15, 2018 7:25 pm

Hi Vladimir,

I did try and install the CloverETL 4.8 version and the same setup ran successfully in 4.8 which was failing in 4.7. Even I felt that there was some bug in ExecuteGraph component in 4.7 which was fixed in 4.8. Thank you for responding and confirming that.

Thanks,
Siddhesh


cron